# Token Implementation

Below the technical information can be found in regard to the Plater Token and major details concerning the smart contract built to develop the token of Plater Network.

NOTES:

* The following specifications use syntax from Solidity 0.5.16 (or above)
* Callers MUST handle false from returns (bool success). Callers MUST NOT assume that false isnever returned!

1\. Methods&#x20;

1.1 name

```solidity
       function name() public view returns (string)
```

• Returns the name of the token – In this case: "Plater".&#x20;

1.2 symbol

```solidity
function symbol() public view returns (string)
```

• Returns the symbol of the token. In this case: “PLATER”.&#x20;

1.3 decimals

```solidity
       function decimals() public view returns (uint8)
```

• Returns the number of decimals the token uses - e.g. 8, means to divide the token amount by 100000000 to get its user representation.

1.4 totalSupply

```solidity
       function totalSupply() public view returns (uint256)
```

• Returns the total token supply. The token flows across BNB Smart Chain only therefore, the number will never be multiplied.

1.5 balanceOf

```solidity
function balanceOf(address _owner) public view returns (uint256 balance) 
```

• Returns the account balance of another account with address \_owner.

1.6 getOwner

```solidity
function getOwner() external view returns (address);
```

• Returns the Plater Token owner.&#x20;

1.7 transfer

```solidity
function transfer(address _to, uint256 _value) public returns (bool success)
```

• Transfers\_valueamount of tokens to address\_to, and MUST fire the Transfer event. The function SHOULD throw if the message caller’s account balance does not have enough tokens to spend.

1.8 transferFrom

```solidity
function transferFrom(address _from, address _to, uint256 _value) public returns (bool success)
```

* Transfers \_value amount of tokens from address \_from to address \_to, and MUST fire the Transfer event.
* The transferFrom method is used for a withdraw workflow, allowing contracts to transfer tokens on your behalf. This can be used for example to allow a contract to transfer tokens on your behalf and/or to charge fees in sub-currencies. The function SHOULD throw unless the \_from account has deliberately authorized the sender of the message via some mechanism.

1.9 approve

```solidity
function approve(address _spender, uint256 _value) public returns (bool success)
```

• Allows \_spender to withdraw from your account multiple times, up to the amount. If this function is called again, it overwrites the current allowance with .

1.10 allowance

```solidity
function allowance(address _owner, address _spender) public view returns (uint256 remaining)
```

• Returns the amount which \_spender is still allowed to withdraw from \_owner.&#x20;

2\. Events

2.1 Transfer

```solidity
event Transfer(address indexed _from, address indexed _to, uint256 _value)
```

• MUST trigger when tokens are transferred, including zero value transfers.\
• A token contract which creates new tokens SHOULD trigger a Transfer event with the \_from address set to 0x0 when tokens are created.

2.2 Approval

```solidity
event Approval(address indexed _owner, address indexed _spender, uint256 _value) 
```

• MUST trigger on any successful call to approve(address \_spender, uint256 \_value).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plater.network/plater-network-documentation/token-implementation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
